Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Apr 2015 18:03:14 +0300

> Date: Tue, 28 Apr 2015 05:15:04 +0300
> From: Dmitry Gutov <[email-masked]>
> Cc: [email-masked]
> 
>     Could be.  But etags has been around for a long time and was the only
>     "standard feature" of the kind until very recently in Emacs, so I think
>     it's fair to assume that there are more such users out there.
> 
> etags might be popular (so some sort a general solution might be welcome), but that doesn't mean it's used with Elisp a lot.

What alternatives were there, before xref?

> For instance, if we consider Debian-like distributions, https://packages.debian.org/jessie/all/emacs24-el/filelist does not include the TAGS file. I don't think the C sources are generally included in the binary distributions.

It's easy to generate TAGS for Lisp files, if one needs them.  We
describe all that in the user manual.

> And if we're just talking about Emacs developers, I wonder why nobody else spoke up on emacs-devel or in this bug yet.

This goes both ways: no one spoke about xref, either.  I wouldn't
assign any significance to that.